#include <stdio.h>
#include <stdlib.h>
int main()
{
    int n, m;
    scanf("%d%d", &n, &m);
    int a, b, t;
    for (int i=0, i<m+1, i++)
    {
        scanf("%d%d%d", &a, &b, &t);
        if (a==b)
        {
            t++;
        }
    }
    printf("%d", t);
    return 0;
}